curl --request POST \
--url https://api.pingmee.co.il/conversations/{id}/status \
--header 'Content-Type: application/json' \
--header 'Cookie: <api-key>' \
--header 'x-api-key: <api-key>' \
--data '
{
"participantsIdentifiers": "<string>",
"phoneNumberId": "<string>"
}
'import requests
url = "https://api.pingmee.co.il/conversations/{id}/status"
payload = {
"participantsIdentifiers": "<string>",
"phoneNumberId": "<string>"
}
headers = {
"Cookie": "<api-key>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Cookie: '<api-key>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({participantsIdentifiers: '<string>', phoneNumberId: '<string>'})
};
fetch('https://api.pingmee.co.il/conversations/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"success"{
"error": "<string>",
"message": "<string>"
}Set Status
Set the status of a conversation. Path id is the conversation participantsIdentifiers (URL-encoded).
Authorizations
Personal access token from Pingmee Settings → Developer Tools
Business API key from Pingmee Settings → Developer Tools
Path Parameters
Conversation participants identifiers (participantsIdentifiers). Must be URL-encoded when used in the path (for example, encode # as %23).
Body
Set the status of a conversation.
Unique identifiers of the conversation participants. Must match the URL path id (before URL encoding).
Conversation status.
open, closed, standby Business phone number ID. Required for Green API and web chat status notifications.
Messaging platform. Used for platform-specific status handling.
whatsapp, greenAPI, web, instagram, facebookMessenger Who initiated the status change. Defaults to person when omitted.
person, bot, campaign, ai Response
Conversation status updated successfully
The response is of type string.
"success"
Was this page helpful?